﻿using System;
using System.Collections;
using AutoCompleteTextBox.Editors;
using NonaBGS.EDDB;

namespace NonaBGS.UI {
    public class SystemSuggestionProvider : ISuggestionProvider {
        private PopulatedSystems systems = null;

        public SystemSuggestionProvider(PopulatedSystems systems) {
            this.systems = systems;
        }

        public PopulatedSystems Data {
            get => systems;
            set => systems = value;
        }

        public IEnumerable GetSuggestions(string filter) {
            return systems.SystemNamesByFilter(filter);
        }
    }
}
